FROM openjdk:latest
LABEL authors="walamana"

RUN mkdir /miniplan

COPY ./private/minis-backend/build/libs/minis-backend-all.jar /miniplan/backend.jar
COPY ./private/minis-backend/application_docker.conf /miniplan/application.conf
ADD ./public/dist /miniplan/public

WORKDIR /miniplan

ENTRYPOINT ["java", "-jar", "backend.jar", "-config=application.conf"]
